
Conversion Tools - Feature #6252

cleanup of p2j.cfg.xml

04/06/2022 06:06 PM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

History

#1 - 04/06/2022 06:10 PM - Greg Shah

- Assignee set to Constantin Asofiei

Make the global section of p2j.cfg.xml simpler with the following changes:

Set good default values for P2J_RULES, pat_path, registry, rootlist, matchlist and comments. These should be removed from most of our

existing projects since the values are very standardized.

Remove merge-point and foreign-keys.  I think they are dead, right?

If you see any other cleanups, I'm open to it.

#2 - 02/28/2024 09:43 AM - Greg Shah

I think we want to move away from p2j.cfg.xml to a project-level .json file that has everything needed to configure the conversion.  To the degree that

this can also drive a docker-ized runtime, that would be even better.
